> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1voicecallsdashboard



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/calls/dashboard
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/calls/dashboard:
    get:
      tags:
        - Calls
      operationId: calls.dashboard
      parameters:
        - name: from_date
          in: query
          schema:
            type: string
        - name: to_date
          in: query
          schema:
            type: string
        - name: agent_id
          in: query
          schema:
            type: string
            format: uuid
        - name: voice_campaign_id
          in: query
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      total_calls:
                        type: integer
                      answered_calls:
                        type: integer
                      picked_up_calls:
                        type: integer
                      leads:
                        type: integer
                      sales:
                        type: integer
                      answer_machines:
                        type: integer
                      total_cost:
                        type: number
                      total_duration_sec:
                        type: integer
                      average_call_duration:
                        type: number
                      answer_rate:
                        type: number
                      lead_rate:
                        type: number
                      sales_rate:
                        type: number
                      hourly_breakdown:
                        type: array
                        items: {}
                      daily_breakdown:
                        type: array
                        items: {}
                    required:
                      - total_calls
                      - answered_calls
                      - picked_up_calls
                      - leads
                      - sales
                      - answer_machines
                      - total_cost
                      - total_duration_sec
                      - average_call_duration
                      - answer_rate
                      - lead_rate
                      - sales_rate
                      - hourly_breakdown
                      - daily_breakdown
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````